//wifi handling
// event handlers from https://techtutorialsx.com/2019/09/22/esp32-soft-ap-station-disconnected-event/

void initWiFi() {
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  Serial.print("initWiFi: Connecting to WiFi ..");
  while (WiFi.status() != WL_CONNECTED) {
    Serial.print('.');
    delay(1000);
  }
  //Serial.println(WiFi.localIP());
}


void WiFiStationConnected(WiFiEvent_t event, WiFiEventInfo_t info) {
  Serial.println("Connected to AP successfully!");
  WiFiState = 1;
  digitalWrite(LED_WiFi, WiFiState); //indicate wifi connected -  BLUE LED
}

void WiFiGotIP(WiFiEvent_t event, WiFiEventInfo_t info) {
  Serial.println("WiFi connected - hostname & IP address: ");
  Serial.print(WiFi.getHostname());
  Serial.println(WiFi.localIP());
}

void WiFiStationDisconnected(WiFiEvent_t event, WiFiEventInfo_t info) {
  Serial.println("Disconnected from WiFi access point");
  Serial.print("WiFi lost connection. Reason: ");
  Serial.println(info.disconnected.reason);
  Serial.println("Trying to Reconnect");
  WiFiState = 0;
  digitalWrite(LED_WiFi, WiFiState); //indicate wifi not connected -  BLUE LED
  WiFi.begin(ssid, password);
}
